import xx_framework.conf.default_config as default_config
import config as user_config


class LazyConfig:
    """配置懒加载，读取配置时，先读取用户自定义配置，没有则使用默认配置。"""

    def __getattr__(self, item):
        if hasattr(user_config, item):
            return getattr(user_config, item)
        elif hasattr(default_config, item):
            return getattr(default_config, item)
        return None


config = LazyConfig()

__ALL__ = [
    config
]
